## fuel-agent 9.0+dfsg1

=== requirements.txt ===
Babel>=1.3
eventlet>=0.17.4
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0,!=2.5.0
oslo.config>=2.3.0
oslo.serialization>=1.4.0
six>=1.9.0
pbr>=1.6
Jinja2>=2.6
stevedore>=1.5.0
requests>=2.5.2,!=2.8.0,!=2.9.0
urllib3>=1.8.3
PyYAML>=3.1.0
