=== contrib/ironic/ironic-fa-deploy/requirements.txt ===
# The driver uses Ironic code base and it's requirements, no additional
# requirements needed
ironic>=4.2.0
libvirt-python>=1.2.5 # LGPLv2+
