=== debian/changelog ===
fuel-agent (9.0+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to correct one

  [ Thomas Goirand ]
  * Fixed OSLO_PACKAGE_VERSION to remove +dfsg1, which breaks pbr.
  * Fixed and renamed .jinja2 cloud-init templates.
  * Added fix-cloud_config_ubuntu.jinja2_for_debian.patch
  * Do not package fa_fix-configs-on-startup in fuel-agent, as it is already in
    python{3,}-fuel-agent (Closes: #825563).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 13:55:39 +0200

fuel-agent (9.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * New upstream release.
  * Remove remove--quite-from-udevadm-settle.patch applied upstream.
  * Refreshed other patches.
  * Purges /etc/fuel-agent/fuel-agent.conf on purge (Closes: #820285).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 12:56:15 +0200

fuel-agent (9.0~0+2016.03.09.git.b1ba4b7747+dfsg1-1) unstable; urgency=medium

  * New upstream release based on commit b1ba4b7747.
  * Uploading to unstable.
  * Lots of tweaks to make Debian provisionning works.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Mar 2016 17:12:17 +0100

fuel-agent (7.0+2016.01.29.git.99dc8a2be7+dfsg1-2) experimental; urgency=medium

  * Fix postinst, postrm and prerm for update-alternatives (Closes: #814603).
  * python{3,}-fuel-agent depends on python{3,}-fuel-bootstrap-cli.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Feb 2016 02:25:18 +0000

fuel-agent (7.0+2016.01.29.git.99dc8a2be7+dfsg1-1) experimental; urgency=medium

  * Initial releas. (Closes: #813670)

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Dec 2015 17:45:23 +0100
