=== debian/control ===
Source: fuel-agent
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-eventlet (>= 0.13.0),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-mock (>= 1.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslotest (>= 1.0),
                     python-pytest,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testtools (>= 0.9.34),
                     python-urllib3 (>= 1.8.3),
                     python-yaml,
                     python3-babel,
                     python3-eventlet (>= 0.13.0),
                     python3-iso8601,
                     python3-jinja2,
                     python3-jsonschema,
                     python3-mock (>= 1.0),
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslotest (>= 1.0),
                     python3-pytest,
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testrepository,
                     python3-testtools (>= 0.9.34),
                     python3-urllib3 (>= 1.8.3),
                     python3-yaml,
                     subunit,
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/fuel-agent.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/fuel-agent.git
Homepage: https://github.com/openstack/fuel-agent

Package: python-fuel-agent
Architecture: all
Section: python
Depends: python-babel,
         python-eventlet (>= 0.13.0),
         python-fuel-bootstrap-cli (= ${binary:Version}),
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-oslo.config (>= 1:2.3.0),
         python-oslo.serialization (>= 1.4.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-urllib3 (>= 1.8.3),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: fuel image based provisioning agent - Python 2.7
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 2.7 module.

Package: python3-fuel-agent
Architecture: all
Section: python
Depends: python3-babel,
         python3-eventlet (>= 0.13.0),
         python3-fuel-bootstrap-cli (= ${binary:Version}),
         python3-iso8601,
         python3-jinja2,
         python3-jsonschema,
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.5.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-urllib3 (>= 1.8.3),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: fuel image based provisioning agent - Python 3.x
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 3.x module.

Package: fuel-agent
Architecture: all
Section: python
Depends: bzip2,
         cloud-utils,
         debootstrap,
         dmidecode,
         ethtool,
         fuel-nailgun-agent,
         gdisk,
         genisoimage,
         lvm2,
         mdadm,
         openssh-client,
         parted,
         pciutils,
         python-fuel-agent (= ${binary:Version}) | python3-fuel-agent (= ${binary:Version}),
         xfsprogs,
         xz-utils,
         ${misc:Depends},
         ${python:Depends},
Description: fuel image based provisioning agent
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 Fuel agent executes provisioning tasks on the discovery nodes.

Package: python-ironic-fa-deploy
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
Description: Ironic Fuel Agent Deploy - Python 2.7
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the ironic-fa-deploy Python 2.7 module.

Package: python3-ironic-fa-deploy
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
Description: Ironic Fuel Agent Deploy - Python 3.x
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the ironic-fa-deploy Python 3.x module.

Package: ironic-fa-deploy
Architecture: all
Depends: ironic-conductor (>= 4.2.0),
         python-ironic-fa-deploy (= ${binary:Version}) | python3-ironic-fa-deploy (= ${binary:Version}),
         ${misc:Depends},
Description: Ironic Fuel Agent Deploy - config files
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the ironic config.

Package: python-fuel-bootstrap-cli
Architecture: all
Section: python
Depends: python-cliff (>= 1.7.0),
         python-fuelclient,
         python-pbr (>= 0.6),
         python-six (>= 1.7.0),
         python-stevedore,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: CLI for the fuel bootstrap - Python 2.7
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 2.7 module for the Fuel Boostrap CLI.

Package: python3-fuel-bootstrap-cli
Architecture: all
Section: python
Depends: python3-cliff (>= 1.7.0),
         python3-fuelclient,
         python3-pbr (>= 0.6),
         python3-six (>= 1.7.0),
         python3-stevedore,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: CLI for the fuel bootstrap - Python 3.x
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 3.x module for the Fuel Boostrap CLI.
